Search documentation of polar_express

# PolarExpress.Schemas.PortalAuthenticatedUser (polar_express v0.1.5)

Copy Markdown View Source

PortalAuthenticatedUser

Information about the authenticated portal user.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.PortalAuthenticatedUser{
      customer_id: String.t() | nil,
      email: String.t() | nil,
      member_id: String.t() | nil,
      name: String.t() | nil,
      role: String.t() | nil,
      type: String.t() | nil
    }

- `customer_id` - Associated customer ID. Format: uuid4.
- `email` - User's email address.
- `member_id` - Member ID. Only set for members. Nullable.
- `name` - User's name, if available. Nullable.
- `role` - Member role (owner, billing_manager, member). Only set for members. Nullable.
- `type` - Type of authenticated user: 'customer' or 'member'

## Functions

# schema_name()